# Created by pyp2rpm-3.3.4
%global pypi_name adext

Name:           python-%{pypi_name}
Version:        0.3
Release:        1%{?dist}
Summary:        AlarmDecoder extended

License:        MIT
URL:            https://github.com/ajschmidt8/adext
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 adext is a small package that extends [alarmdecoder]( to include some
additional methods for [Home Assistant]( the following methods have been
added:- arm_home - arm_away - arm_nightEach method accepts the arguments
described below to determine which key sequences are used to arm a panel based
on factors like panel brand and user config settings. Arguments:- **code**:
(None or str) - the code...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(alarmdecoder) = 1.13.2
%description -n python3-%{pypi_name}
 adext is a small package that extends [alarmdecoder]( to include some
additional methods for [Home Assistant]( the following methods have been
added:- arm_home - arm_away - arm_nightEach method accepts the arguments
described below to determine which key sequences are used to arm a panel based
on factors like panel brand and user config settings. Arguments:- **code**:
(None or str) - the code...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.3-1
- Initial package.
